<?php
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

// include '../pdloginvariables.php'; // you can ignore/skip this line

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}

$sql = "SELECT * FROM devices, manufacturers, systems, types WHERE name like '%" . $_REQUEST["device_name"] . "%' ";
if($_REQUEST["manufacturer_id"] != "all") {
    $sql .= " AND devices.manufacturer_id = '" . $_REQUEST["manufacturer_id"] . "'";
}
if($_REQUEST["system_id"] != "all") {
    $sql .= " AND devices.system_id = '" . $_REQUEST["system_id"] . "'";
}
if($_REQUEST["type_id"] != "all") {
    $sql .= " AND devices.type_id = '" . $_REQUEST["type_id"] . "'";
}
$sql .= " AND devices.manufacturer_id = manufacturers.manufacturer_id";
$sql .= " AND devices.system_id = systems.system_id";
$sql .= " AND devices.type_id = types.type_id";

$results = $mysql->query($sql);

if(!$results) {
    echo "SQL error: " . $mysql->error . " running query <hr>" . $sql . "<hr>";
    exit();
} else if ($_REQUEST["manufacturer_id"]=='' || $_REQUEST["system_id"]=='' || $_REQUEST["type_id"]=='') {
    echo "drop down values missing";
    exit();
}

?>

<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">

        <?php
        echo "Your search returned <strong>" . $results->num_rows . "</strong> results.";
        ?>

    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>



        <!--

        ****** SAMPLE OUTPUT ROW ******

        -->

        <?php
        while($currentrow = $results->fetch_assoc() ) {
            echo "<tr>";
            echo "<td><a href='details.php?id=" . $currentrow["device_id"] . "'>" . $currentrow["name"] . "</a></td>";
            echo "<td>" . $currentrow["price"] . "</td>";
            echo "<td>" . $currentrow["manufacturer"] . "</td>";
            echo "<td>" . $currentrow["system"] . "</td>";
            echo "<td>" . $currentrow["type"] . "</td>";
            echo "</tr>";
        }
        
        ?>

    </table>

</div>

</body>

</html>